/*
 * Vifir - An electronic flight bag wannabe utility for aircraft pilots
 * Copyright (C) 2009 David Ludlow
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * dave@adsllc.com, PO Box 13070, Toledo, OH 43623
 */

#include "SectionalPrintOperation.h"

void SectionalPrintOperation::on_draw_page(const Glib::RefPtr<Gtk::PrintContext>& Context, int PageNum) {
	Cairo::RefPtr<Cairo::Context> CairoContext=Context->get_cairo_context();

	CairoContext->set_source_rgba(0.2, 0.2, 0.8, 0.4);
	CairoContext->set_line_width(1.0);
	CairoContext->translate(Context->get_width()/2.0,Context->get_height()/2.0);

	CairoContext->save();
	CairoContext->arc(0.0,0.0,150.0,0.0,2*M_PI);
	CairoContext->fill_preserve();
	CairoContext->stroke();
	CairoContext->restore();
}

Gtk::PrintOperationResult SectionalPrintOperation::run() {
	set_n_pages(1);
	return Gtk::PrintOperation::run();
}
